Bug 1476492 - AppStream metadata for Q4Wine package are missing
AppStream metadata for Q4Wine package are missing
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: q4wine (Show other bugs)
27
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 12:18 EDT by AsciiWolf
Modified: 2018-01-05 10:14 EST (History)
1 user (show)

See Also:
Fixed In Version: q4wine-1.3.5-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 05:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description AsciiWolf 2017-07-29 12:18:29 EDT
Description of problem:

There is not any appdata.xml/metainfo.xml file available in the Q4Wine package. Because of this, Q4Wine cannot be found and/or installed using the GNOME Software application or another package manager UI based on AppStream.


Steps to Reproduce:

1. Open GNOME Software.
2. Type "q4wine".
Comment 1 Jan Kurik 2017-08-15 02:32:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-08-15 21:28:47 EDT
q4wine-1.3.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-74a79ade09
Comment 3 Fedora Update System 2017-08-19 14:52:09 EDT
q4wine-1.3.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-74a79ade09
Comment 4 Dmitrij S. Kryzhevich 2017-08-28 05:53:07 EDT
Submitted to Stable. Autoclose didn't work.
Comment 5 Fedora Update System 2017-08-28 12:19:06 EDT
q4wine-1.3.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 AsciiWolf 2017-08-28 13:58:06 EDT
Q4Wine seems to be still missing in GNOME Software. There are some <200b> characters in the q4wine.metainfo.xml file, maybe they are the problem.
Comment 7 Dmitrij S. Kryzhevich 2017-08-29 02:53:57 EDT
Well. Something wrong on your side: https://i.gyazo.com/ff2986e33beeb33b5ab76435de548f8a.png

It is q4wine from koji here: https://koji.fedoraproject.org/koji/buildinfo?buildID=956187
Comment 8 AsciiWolf 2017-08-29 04:24:13 EDT
Can you see the package if you uninstall it first?
Comment 9 Dmitrij S. Kryzhevich 2017-08-29 07:35:15 EDT
appstream-data was not rebuilt yet I suppose.
Comment 10 Dmitrij S. Kryzhevich 2017-11-28 22:38:26 EST
(In reply to AsciiWolf from comment #8)
> Can you see the package if you uninstall it first?

Does the problem persist still?
Comment 11 AsciiWolf 2017-11-29 17:06:47 EST
Yep, still the same issue on Fedora 27.
Comment 12 Dmitrij S. Kryzhevich 2017-11-29 21:14:48 EST
Fix xml a little. Now wait for appstream-data be rebuilt.
Comment 13 AsciiWolf 2017-12-28 05:57:18 EST
Still not showing in GNOME Software on Fedora 27.
Comment 14 Dmitrij S. Kryzhevich 2017-12-28 22:42:31 EST
(In reply to AsciiWolf from comment #13)
> Still not showing in GNOME Software on Fedora 27.

With appstream-data-27-8 ?
Comment 15 AsciiWolf 2017-12-29 05:48:36 EST
(In reply to Dmitrij S. Kryzhevich from comment #14)
> With appstream-data-27-8 ?

Oops, 27-7.
Comment 16 AsciiWolf 2018-01-05 10:05:46 EST
I have just installed appstream-data-27-8 and Q4Wine is still not showing in GNOME Software. :-(
Comment 17 AsciiWolf 2018-01-05 10:14:48 EST
(I am using Fedora 27.)

Note You need to log in before you can comment on or make changes to this bug.